Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Abbruch bei (Command _trim....)

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Abbruch bei (Command _trim....) (992 mal gelesen)
kist
Mitglied



Sehen Sie sich das Profil von kist an!   Senden Sie eine Private Message an kist  Schreiben Sie einen Gästebucheintrag für kist

Beiträge: 78
Registriert: 20.01.2005

Acad 2010
Windows XP SP3

erstellt am: 24. Jan. 2012 17:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Code:

(Command "_polygon" "6" p "_I" (polar p ri 0.30))
(setq losch (entlast))
(Command "_Line" p p2 "")
(Command "_Trim" losch "" p "" "_Erase" losch "")

P2 ist ein Punkt ausserhalb des 6-Eckes

manchmal funktionert die Geschichte und manchmal gibt es einen Abbruch
vor (Command "_Trim" ......)
mit der Meldung

"Ungültige Fensterspezifikation."

Es ist für mich aber nicht fest zu machen unter welchen Umständen der Abbruch kommt.

------------------
schöne Grüsse

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Moderator
CAD on demand GmbH




Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4136
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools (d-tools.eu)

erstellt am: 24. Jan. 2012 17:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für kist 10 Unities + Antwort hilfreich

Hallo kist,

die Ursachen können vielfältig sein. Ich vermute, es liegt am eingeschaltetem Objektfang, oder an der Größe des Bildausschnitts.

Grüße Holger

------------------
Holger Brischke
CAD on demand GmbH
Individuelle Lösungen von Heute auf Morgen.


defun-tools Das Download-Portal für AutoCAD-Zusatzprogramme!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

kist
Mitglied



Sehen Sie sich das Profil von kist an!   Senden Sie eine Private Message an kist  Schreiben Sie einen Gästebucheintrag für kist

Beiträge: 78
Registriert: 20.01.2005

Acad 2010
Windows XP SP3

erstellt am: 24. Jan. 2012 17:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

ofang kann ich definitiv ausschliessen
weil der Abbruch auch mit osmode = 0
auftritt.

Bildausschnitt würd ich auch ausschliessen, weil der Abbruch auch bei geringem Zoomfaktor,
also wenn mein Fenster nur unwesentlich grösser als die involvierten Elemente ist, auftritt.

Es sind auch keine "störenden" Objekte in der nähe.

OOPS seh grad das meine Systeminfo falsch ist.

Ich habe ACAD 2010 + XP SP3

werd ich gleich ändern.

------------------
schöne Grüsse

[Diese Nachricht wurde von kist am 24. Jan. 2012 editiert.]

[Diese Nachricht wurde von kist am 24. Jan. 2012 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

archtools
Mitglied



Sehen Sie sich das Profil von archtools an!   Senden Sie eine Private Message an archtools  Schreiben Sie einen Gästebucheintrag für archtools

Beiträge: 704
Registriert: 09.10.2004

Entwickler für AutoCAD, BricsCAD u.a., alle Systeme

erstellt am: 24. Jan. 2012 18:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für kist 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von kist:
ofang kann ich definitiv ausschliessen
weil der Abbruch auch mit osmode = 0
auftritt.

Bildausschnitt würd ich auch ausschliessen, weil der Abbruch auch bei geringem Zoomfaktor,
also wenn mein Fenster nur unwesentlich grösser als die involvierten Elemente ist, auftritt.

Es sind auch keine "störenden" Objekte in der nähe.


Was noch sein kann:
- Größe der Pickbox
- Rundungsfehler bei der Berechnung der Punkte

Überprüf mal die eingefangenen Objekte, indem Du erst mal nur einen Auswahlsatz bildest, ohne irgend einen Befehl auszuführen. Probier eventuell auch mal (ssget "_:E")

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

kist
Mitglied



Sehen Sie sich das Profil von kist an!   Senden Sie eine Private Message an kist  Schreiben Sie einen Gästebucheintrag für kist

Beiträge: 78
Registriert: 20.01.2005

Acad 2010
Windows XP SP3

erstellt am: 25. Jan. 2012 09:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich komm da nicht weiter.


Aber ein anderer Ansatz wäre:

Gibt es vielleicht irgendwas (ActiveX ?  )
wie man schnell den Schnittpunkt zw. den 2 Punkten (Linie)
und dem Sechseck ermitteln kann?

------------------
schöne Grüsse

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 25. Jan. 2012 09:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für kist 10 Unities + Antwort hilfreich

Jo,
Methode: IntersectWith  --> F1

und im Normalolisp  Funktion INTERS ....

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19657
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 25. Jan. 2012 10:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für kist 10 Unities + Antwort hilfreich

Code:
(defun c:TEST ()
  (Command "_polygon" "6" p "_I" (polar p ri 0.30))
  (setq losch (entlast))
  (Command "_Line" p p2 "")
  (Command "_Trim" losch "" p "" "_Erase" losch "")
)

Bitte vervollständige das mal um die Definition von p2 und von ri, zudem wüßte ich
gerne was gestutzt werden soll, die hier erzeugte Linie oder eine andere ?
Sieht für mich derzeit etwas überflüssig aus das ganze Polygon erstellen, daher
beschreibe es mir doch etwas und ergänze den Code.

------------------
CAD.de System-Angaben  -  CAD on demand  -  User:FAQ(Acad)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

kist
Mitglied



Sehen Sie sich das Profil von kist an!   Senden Sie eine Private Message an kist  Schreiben Sie einen Gästebucheintrag für kist

Beiträge: 78
Registriert: 20.01.2005

Acad 2010
Windows XP SP3

erstellt am: 25. Jan. 2012 11:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


a.jpg

 
wieder einmal ein Dankeschön an euch

hier
http://www.visuallisp-tutorial.mapcar.net/intersect.html

ist genau meine Lösung.

aber trotzdem noch die Erklärung was ich hier verzapfe

p2 ist der Punkt der Pfeilspitze (der wird im Laufe des Befehls gezeigt)
ri ist die Textrichtung, wird auch vorher gezeigt
das hier abgebildete 6ECK ist ein Block, deshalb zeichne ich temporär ein Polygon drüber um dann die Linie,
welche hier erzeugt wird zu stutzen.

unter ACAD 2007 hat das immer so funktioniert, unter ACAD2010 dann eben nicht mehr,
wir haben jetzt die längste Zeit immer nach dem Befehl das Linienstück manuell getrimmt.

JAJA ich weiss, ist wahrscheinlich komplett übers kreuz programmiert.


------------------
schöne Grüsse

[Diese Nachricht wurde von kist am 25. Jan. 2012 editiert.]

[Diese Nachricht wurde von kist am 25. Jan. 2012 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 25. Jan. 2012 11:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für kist 10 Unities + Antwort hilfreich

.. den Befehl _leader mit Option Block kennst du aber ?

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

kist
Mitglied



Sehen Sie sich das Profil von kist an!   Senden Sie eine Private Message an kist  Schreiben Sie einen Gästebucheintrag für kist

Beiträge: 78
Registriert: 20.01.2005

Acad 2010
Windows XP SP3

erstellt am: 25. Jan. 2012 12:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ja kenn ich werd mal drüber nachdenken, ob ich das dahingehend ändere.

Das Dingens oberhalb ist aber schon ein paar Jährchen alt, und entweder gabs das unter AC14(oder so) noch nicht, oder ich hab da damals nicht dran gedacht, oder,.... und jetzt steht das so da und ich wollte den kleinen Bug halt langsam ausmerzen, bevor die Kollegen zu harten Mitteln greifen.

Aber nicht desto trotz
VIELEN DANK
für die erstklassige Unterstützung hier

------------------
schöne Grüsse

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz